Bug Hunting Session
Bug 107387 - LibreOffice Draw / Adobe Acrobat interpret a PDF differently (letters disappear in LibreOffice Draw)
Summary: LibreOffice Draw / Adobe Acrobat interpret a PDF differently (letters disappe...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: Font-Rendering PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2017-04-24 13:45 UTC by Mathias Baumbach
Modified: 2019-05-20 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
generated pdf by libreoffice to open with adobe and libreoffice draw (35.72 KB, application/pdf)
2017-04-24 13:46 UTC, Mathias Baumbach
Details
PDF generated with LO 5.3.2.2 (32.67 KB, application/pdf)
2017-04-25 15:55 UTC, Mathias Baumbach
Details
qs_LO_5.3.2.2_6 - Urkunde Science_disabled_ligatures (35.85 KB, application/pdf)
2017-05-16 15:04 UTC, Mathias Baumbach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Baumbach 2017-04-24 13:45:20 UTC
Description:
Hello,

we use LibreOffice on an Ubuntu server to output PDF's for a campus-management-system on our university. HISinOne is a rather common software in Germany for universities to manage their students and staff. Initially we used LibreOffice 4.4.6 and now also tried an update to 5.0.6.2 - the Ubuntu version is Ubuntu 14.04.3 LTS. Sometimes those PDF's have to be slightly adjusted or modified in our offices of academic affairs. The staff there is using LibreOffice 5.1 on windows 7. 
I'll try to keep it short: our problem is that sometimes documents are missing letters on some names depending on which program you use to open the pdf document. 
I attach a document created on aforementioned Ubuntu servers on LibreOffice 5.0.6.2 - please try to open this document in 
a) LibreOffice Draw 
b) Adobe Acrobat (I used Reader DC 2017.09.20044 and Acrobat Pro XI 11.0.20)
c) optional Microsoft Word (I used 2013)

Depending on which program you use the name Stephan Wulff is written with 1 or 2 "f". So a whole letter disappears depending on the program - obviously this is a real headscratcher for us. 

a) f
b) ff
c) f

As far as I tested so far every name ending on double - f has this issue but it may not be confined to this character combination. I tested names with ff in the middle of the surname without any issue.

The developer of the HISinOne software isnt able to provide additional support in this matter and points to LibreOffice for further investigating, stating that it has to be an issue with how LibreOffice is generating these PDF's. 
Please list any other speccs or testcase documents you might need and I will try to provide them here.

Thanks
M.

Steps to Reproduce:
1. Pick a person that has a specific name pattern - surname ending on double f
2. Generate the specific report.
3. Open the PDF with LibreOffice Draw and Adobe Acrobat Reader etc

Actual Results:  
Surname is ending on one f

Expected Results:
Surname is ending on two f


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Mathias Baumbach 2017-04-24 13:46:12 UTC
Created attachment 132784 [details]
generated pdf by libreoffice to open with adobe and libreoffice draw

.
Comment 2 Mathias Baumbach 2017-04-24 14:18:21 UTC
Addition:
If I change the template used for the report to add a comma after the surname (like this "$${Nachname},") the problem disappears. Is the double-f some reserved syntax for office documents or is it possible that there is some sort of auto correction involved here?
Comment 3 Xisco Faulí 2017-04-24 18:32:47 UTC
Hi Mathias,

it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 Mathias Baumbach 2017-04-25 15:54:40 UTC
Hi Xisco,

I switched the PPA and upgraded to

LibreOffice 5.3.2.2 30m0(Build:2)

The new PDF stats LibreOffice 5.3.
There is no change about this error.
Comment 5 Mathias Baumbach 2017-04-25 15:55:31 UTC
Created attachment 132835 [details]
PDF generated with LO 5.3.2.2
Comment 6 Buovjaga 2017-04-29 16:40:44 UTC
The font used is Gotham Narrow Medium. I installed it, but the Wulf problem continues.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 9348b322a5c230dfcc2231661b73e480b130fcd9
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 28th 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 Johnny_M 2017-05-13 17:34:38 UTC
This could be related to handling of ligatures (such as "ff"). The used Gotham Narrow Medium font is an OpenType font and could support them.[1]

@Mathias Baumbach: As a workaround and to further investigate the issue, you could try disabling the ligatures by appending ":-liga" to the font name as described in [2] in your PDF generation script/template.

[1] http://fontsgeek.com/fonts/Gotham-Narrow-Medium
[2] http://buchlayout.info/die-sensation-ist-perfekt-der-libreoffice-writer-unterstuetzt-ab-sofort-opentype-features/
Comment 8 Mathias Baumbach 2017-05-16 15:04:09 UTC
Hey Johnny,

seems like you had the right idea here. I added ":-liga" and now the generated PDF looks the same regardless of the app I use to open the doc.
Can this be fixed via patch from LibreOffice, or is this some kind of combination error with the chosen font and I will have to change every single template we use here?
Comment 9 Mathias Baumbach 2017-05-16 15:04:39 UTC
Created attachment 133362 [details]
qs_LO_5.3.2.2_6 - Urkunde Science_disabled_ligatures
Comment 10 QA Administrators 2018-05-18 02:33:07 UTC Comment hidden (obsolete)
Comment 11 Johnny_M 2018-05-19 12:53:48 UTC
Not tested, but this could be related to bug 101220.
Comment 12 QA Administrators 2019-05-20 02:53:32 UTC
Dear Mathias Baumbach,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug